Bug 892120 - Click on Cancel in confirm dialog for Quit on network setting, rebooting system
Summary: Click on Cancel in confirm dialog for Quit on network setting, rebooting system
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: All
unspecified
high
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2013-01-05 09:54 UTC by Michal Kovarik
Modified: 2013-01-08 21:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-08 21:31:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Kovarik 2013-01-05 09:54:43 UTC
Description of problem:
System without ethernet connection, only wireless. After select language(English), system asked for network. When I click on quit and than cancel, system quit anyway.

Version-Release number of selected component (if applicable):
Fedora18 TC4

How reproducible:
Always

Steps to Reproduce:
1. boot netinstall iso
2. select language, on network selection click on Quit
3. Click on Cancel
  
Actual results:
reboot

Expected results:
return to installation

Additional info:

Comment 1 Reartes Guillermo 2013-01-05 16:54:56 UTC
I can confirm that on the Network Spoke, if one presses 'quit' the subsequent "cancel/quit" will not work as expected. ('cancel' will behave as 'quit').

I tried the same on the Welcome Screen and the issue did not happen there.
Tested with smoke14 (18.37.10)

Comment 2 Radek Vykydal 2013-01-07 15:29:33 UTC
+1 NTH, patch sent to anaconda-patches,
updates image for F18 RC1:
http://rvykydal.fedorapeople.org/updates.snquit.img

Comment 3 Adam Williamson 2013-01-07 18:46:47 UTC
Discussed at 2013-01-07 QA meeting acting as an NTH review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2013-01-07/fedora-qa.2013-01-07-16.01.log.txt . Accepted as NTH as this is an obvious installer fail and the fix seems safe and restricted in impact.

Comment 4 Fedora Update System 2013-01-08 01:18:44 UTC
anaconda-18.37.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.11-1.fc18

Comment 5 Kamil Páral 2013-01-08 13:51:34 UTC
verified in anaconda-18.37.11

Comment 6 Fedora Update System 2013-01-08 21:31:41 UTC
anaconda-18.37.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.